Bug 970990 - Skript /usr/bin/calamaris uses deprecated syntax
Skript /usr/bin/calamaris uses deprecated syntax
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: calamaris (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 07:54 EDT by redhat
Modified: 2013-08-20 20:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: calamaris-2.59-10.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:43:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description redhat 2013-06-05 07:54:22 EDT
Description of problem:
When calamaris is started to analyse squid's log file it complains about
it's own start script:

defined(%hash) is deprecated at /usr/bin/calamaris line 2609.
        (Maybe you should just omit the defined()?)

Version-Release number of selected component (if applicable):

Name        : calamaris
Version     : 2.59
Release     : 5.fc17
Architecture: noarch


How reproducible:
always

Steps to Reproduce:
1. cat /var/log/squid/access.log | /usr/bin/calamaris
2.
3.

Actual results:
defined(%hash) is deprecated at /usr/bin/calamaris line 2609.
        (Maybe you should just omit the defined()?)

following the report...

Expected results:
no complain, just the generated report

Additional info:
Comment 1 redhat 2013-06-12 01:47:04 EDT
I noticed that  /usr/bin/calamaris is a Perl script.
Should not be too difficult for you to fix the syntax error.

I solution have been posted here
http://lists.freebsd.org/pipermail/freebsd-ports-bugs/2013-February/249022.html

--- calamaris.orig	2013-02-05 11:25:07.000000000 +0400
+++ calamaris	2013-02-06 11:52:16.000000000 +0400
@@ -2606,7 +2606,7 @@
 	    100, 100 * $tcp_hit / $tcp );
   }
   outstop(10);
-  if ( defined(%tcp_content) ) {
+  if ( %tcp_content ) {
     outstart(11);
     if ( $tcp == 0 ) {
       outline( 11, 'no matching requests' );


Please apply the patch and provide an update package. TIA!
Comment 2 Fedora End Of Life 2013-07-03 22:55:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 05:43:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Fedora Update System 2013-08-03 17:24:38 EDT
calamaris-2.59-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/calamaris-2.59-10.fc19
Comment 5 Fedora Update System 2013-08-03 17:26:05 EDT
calamaris-2.59-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/calamaris-2.59-10.fc18
Comment 6 Fedora Update System 2013-08-03 17:26:31 EDT
calamaris-2.59-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/calamaris-2.59-10.el6
Comment 7 Fedora Update System 2013-08-03 17:27:00 EDT
calamaris-2.59-10.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/calamaris-2.59-10.el5
Comment 8 Fedora Update System 2013-08-20 14:16:31 EDT
calamaris-2.59-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-08-20 14:17:57 EDT
calamaris-2.59-10.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-08-20 19:59:58 EDT
calamaris-2.59-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-08-20 20:10:33 EDT
calamaris-2.59-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.